CipherTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.test

## Class CipherTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.crypto.test.CipherTest

- All Implemented Interfaces:
    Test
  Direct Known Subclasses:
    AESFastTest, AESLightTest, AESTest, BlowfishTest, CamelliaLightTest, CamelliaTest, CAST5Test, CAST6Test, DESedeTest, DESTest, GOST28147Test, IDEATest, NoekeonTest, NullTest, RC2Test, RC6Test, RijndaelTest, SEEDTest, SerpentTest, Shacal2Test, SkipjackTest, SM4Test, TEATest, Threefish1024Test, Threefish256Test, Threefish512Test, TnepresTest, TwofishTest, XTEATest

      public abstract class CipherTest
      extends SimpleTest

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CipherTest(SimpleTest[] tests, BlockCipher engine, KeyParameter validKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getName()`
    `void` | `performTest()`

    - ### Methods inherited from class org.bouncycastle.util.test.SimpleTest

      `areEqual, fail, fail, fail, perform, runTest, runTest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherTest

          protected CipherTest(SimpleTest[] tests,
                    BlockCipher engine,
                    KeyParameter validKey)

  - ### Method Detail

    - #### getName

          public abstract java.lang.String getName()

      Specified by:
        `getName` in interface `Test`
      Specified by:
        `getName` in class `SimpleTest`

    - #### performTest

          public void performTest()
                           throws java.lang.Exception

      Specified by:
        `performTest` in class `SimpleTest`
      Throws:
        `java.lang.Exception`